function FTC_OnMouseDown()
	FastTrack_ConfigFrame:StartMoving();
end

function FTC_OnMouseUp()
	FastTrack_ConfigFrame:StopMovingOrSizing();
end

function FTC_ClickClose()
	FastTrack_ConfigFrame:Hide();
end

function FTC_OnLoad()
	tinsert(UISpecialFrames, "FastTrack_ConfigFrame");
end

function FTC_CheckCheckBoxStates()
	FTC_CheckShowWidgetState();
	FTC_CheckAutoSellState();
	FTC_CheckAutoLootState();
end

function FTC_CheckShowWidgetClick()
	if FastTrack_ConfigFrameCheckShowWidget:GetChecked() == 1 then
		print("Showing the FastTrack gold tracker");
		FastTrack_MainFrame:Show();
		FastTrack_IsVisible = true;
	else
		print("Hiding the FastTrack gold tracker");
		FastTrack_MainFrame:Hide();
		FastTrack_IsVisible = false;
	end
end

function FTC_CheckShowWidgetState()
	if FastTrack_IsVisible == true then
		FastTrack_ConfigFrameCheckShowWidget:SetChecked(true);
	else
		FastTrack_ConfigFrameCheckShowWidget:SetChecked(false);
	end
end

function FTC_CheckAutoSellClick()
	if FastTrack_ConfigFrameCheckAutoSell:GetChecked() == 1 then
		print("Enabling FastTrack Auto Sell feature");
		FastTrack_IsAutoSell = true;
	else
		print("Disabling FastTrack Auto Sell feature");
		FastTrack_IsAutoSell = false;
	end
end

function FTC_CheckAutoSellState()
	if FastTrack_IsAutoSell == true then
		FastTrack_ConfigFrameCheckAutoSell:SetChecked(true);
	else
		FastTrack_ConfigFrameCheckAutoSell:SetChecked(false);
	end
end

function FTC_CheckAutoLootClick()
	if FastTrack_ConfigFrameCheckAutoLoot:GetChecked() == 1 then
		print("Enabling FastTrack Auto Loot feature");
		FastTrack_IsAutoLoot = true;
	else
		print("Disabling FastTrack Auto Loot feature");
		FastTrack_IsAutoLoot = false;
	end
end

function FTC_CheckAutoLootState()
	if FastTrack_IsAutoLoot == true then
		FastTrack_ConfigFrameCheckAutoLoot:SetChecked(true);
	else
		FastTrack_ConfigFrameCheckAutoLoot:SetChecked(false);
	end
end

--function FTC_RegisterMinimapStuff()
--	FastTrack_MinimapButton:RegisterForClicks("LeftButtonUp","RightButtonUp");
--	FastTrack_MinimapButton:RegisterForDrag("LeftButton","RightButton");
--end

function FTC_MinimapButton_DraggingFrame_OnUpdate()
	local xpos,ypos = GetCursorPosition();
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom();

	xpos = xmin-xpos/UIParent:GetScale()+70; -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70;

	FastTrack_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos)); -- save the degrees we are relative to the minimap center
	FTC_MinimapButton_Reposition(); -- move the button
end

function FTC_MinimapButton_Reposition()
	FastTrack_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(FastTrack_Settings.MinimapPos)),(80*sin(FastTrack_Settings.MinimapPos))-52)
end

function FTC_MinimapButton_OnClick()
	FTC_CheckCheckBoxStates();
	FastTrack_ConfigFrame:Show();
end